featureNames {Biobase} | R Documentation

## Retrieve feature and sample names from eSets.

### Description

These generic functions access the feature names (typically, gene or SNP identifiers) and sample names stored in an object derived from the `eSet-class`.

### Usage

    featureNames(object)
    featureNames(object) <- value
    sampleNames(object)
    sampleNames(object) <- value

### Arguments

`object` | Object, possibly derived from class `eSet`.
`value` | Character vector containing feature or sample names.

### Value

`featureNames` returns a (usually long!) character vector uniquely identifying each feature.`sampleNames` returns a (usually shorter) character vector identifying samples.

### Author(s)

Biocore

### See Also

`ExpressionSet-class`, `SnpSet-class`

[Package Biobase version 2.2.2 Index]